/// <reference path="../../../apps/api/adonisrc.ts" />

import type { ApiDefinition } from "@repo/api"
import { createTuyau } from "@tuyau/client"

export const api = createTuyau<{ definition: ApiDefinition }>({
  baseUrl:
    process.env["API_URL"] ??
    process.env["NEXT_PUBLIC_API_URL"] ??
    "http://127.0.0.1:5500",
})
